summaryrefslogtreecommitdiff
path: root/init.d/sysctl.BSD.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-03-26 09:36:34 +0000
committerRoy Marples <roy@marples.name>2008-03-26 09:36:34 +0000
commit6af2b20297afb9cca88eb4843997c87eb48a5429 (patch)
tree5716be748b0139abe4421cab3679e0abcebe5915 /init.d/sysctl.BSD.in
parent1b40379a79cb96d9ca8fb0d268a73fe7426fbf5c (diff)
downloadopenrc-6af2b20297afb9cca88eb4843997c87eb48a5429.tar.gz
openrc-6af2b20297afb9cca88eb4843997c87eb48a5429.tar.bz2
openrc-6af2b20297afb9cca88eb4843997c87eb48a5429.tar.xz
Split sysctl into Linux and BSD specific files.
Diffstat (limited to 'init.d/sysctl.BSD.in')
-rw-r--r--init.d/sysctl.BSD.in24
1 files changed, 24 insertions, 0 deletions
diff --git a/init.d/sysctl.BSD.in b/init.d/sysctl.BSD.in
new file mode 100644
index 0000000..6131a0b
--- /dev/null
+++ b/init.d/sysctl.BSD.in
@@ -0,0 +1,24 @@
+#!@PREFIX@/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+depend()
+{
+ use hostname
+ before bootmisc logger
+ keyword noprefix
+}
+
+start()
+{
+ [ -e /etc/sysctl.conf ] || return 0
+ local retval=0 var= comments=
+ ebegin "Configuring kernel parameters"
+ while read var comments; do
+ case "${var}" in
+ ""|"#"*) continue;;
+ esac
+ sysctl -w "${var}" >/dev/null || retval=1
+ done < /etc/sysctl.conf
+ eend ${retval} "Some errors were encountered"
+}